### A free/open-source library for quantitative finance

Public Types | Public Member Functions
ExtendedOrnsteinUhlenbeckProcess Class Reference
Stochastic processes

Extended Ornstein-Uhlenbeck process class. More...

`#include <ql/experimental/processes/extendedornsteinuhlenbeckprocess.hpp>`

Inheritance diagram for ExtendedOrnsteinUhlenbeckProcess:
[legend]

List of all members.

## Public Types

enum | Discretization { MidPoint, Trapezodial, GaussLobatto }

## Public Member Functions

| ExtendedOrnsteinUhlenbeckProcess (Real speed, Volatility sigma, Real x0, const boost::function< Real(Real)> &b, Discretization discretization=MidPoint, Real intEps=1e-4)
StochasticProcess interface
Real | x0 () const
| returns the initial value of the state variable
Real | speed () const
Real | volatility () const
Real | drift (Time t, Real x) const
| returns the drift part of the equation, i.e.
Real | diffusion (Time t, Real x) const
| returns the diffusion part of the equation, i.e.
Real | expectation (Time t0, Real x0, Time dt) const
Real | stdDeviation (Time t0, Real x0, Time dt) const
Real | variance (Time t0, Real x0, Time dt) const

## Detailed Description

Extended Ornstein-Uhlenbeck process class.

This class describes the Ornstein-Uhlenbeck process governed by

## Member Function Documentation

Real expectation | ( | Time | t0,
|  | Real | x0,
|  | Time | dt
| ) |  | const`[virtual]`

returns the expectation of the process after a time interval according to the given discretization. This method can be overridden in derived classes which want to hard-code a particular discretization.

Reimplemented from StochasticProcess1D.

Real stdDeviation | ( | Time | t0,
|  | Real | x0,
|  | Time | dt
| ) |  | const`[virtual]`

returns the standard deviation of the process after a time interval according to the given discretization. This method can be overridden in derived classes which want to hard-code a particular discretization.

Reimplemented from StochasticProcess1D.

Real variance | ( | Time | t0,
|  | Real | x0,
|  | Time | dt
| ) |  | const`[virtual]`

returns the variance of the process after a time interval according to the given discretization. This method can be overridden in derived classes which want to hard-code a particular discretization.

Reimplemented from StochasticProcess1D.